#!/bin/bash

echo Update Root File System
./socflash_x64 cs=0 if=../../../fw/126.bin offset=0x6C0000 count=0x3400000 skip=0x6C0000
sleep 3

echo Update Kernel
./socflash_x64 cs=0 if=../../../fw/126.bin offset=0x2C0000 count=0x300000 skip=0x2C0000
sleep 3

echo Erase User Configuration
./socflash_x64 cs=0 if=../../../fw/126.bin offset=0xC0000 count=0x200000 skip=0xC0000
sleep 3

echo Update Bootloader
./socflash_x64 cs=0 if=../../../fw/126.bin count=0xc0000

echo Wait 90 seconds for BMC Ready...
sleep 90

